package com.upyuns.platform.rs.website.mapper;


import com.upyuns.platform.rs.website.entity.TModel;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.LinkedHashMap;
import java.util.List;

/**
 * @Entity generator.domain.TModel
 */
public interface TModelMapper extends Mapper<TModel> {


    List<TModel> selectList(LinkedHashMap<String, Object> aSuper);

    int insertTModelTypeRelevance(@Param("modelId") Integer id, @Param("ids") List<Long> typeIds);

    int insertTModel(TModel tModel);

    List<Long> selectTypeIds(TModel tModel);
}




